POST Agents/Person/GetMyPerson
Some tooltip text!
• 15 minutes to read
• 15 minutes to read
POST /api/v1/Agents/Person/GetMyPerson
Gets the person info belonging to the currently logged on user.
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Person/GetMyPerson?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: PersonEntity
| Property Name | Type | Description |
|---|---|---|
| PersonId | int32 | Primary key |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| Mrmrs | string | e.g. Mrs sex_title Use MDO List name "mrmrs" to get list items. |
| Title | string | Title |
| UpdatedDate | date-time | Last updated date in UTC. |
| CreatedDate | date-time | Registered date in UTC. |
| BirthDate | date-time | The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year. |
| CreatedBy | Associate | The user that created the person object |
| Emails | array | A collection of the person's emails |
| Description | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| IsAssociate | bool | Checks if the person object is an associate. The property is read-only. |
| PrivatePhones | array | Returns a collection of phone numbers that belong to the contact person. |
| Faxes | array | Returns a collection of fax numbers that belong to the contact person. |
| MobilePhones | array | Returns a collection of mobile phone numbers that belong to the contact person. |
| OfficePhones | array | Returns a collection of office phone numbers that belong to the contact person. |
| OtherPhones | array | Returns a collection of pagers that belong to the contact person. |
| Position | Position | The position. This is a predefined SuperOffice value, different from Title Use MDO List name "perspos" to get list items. |
| UpdatedBy | Associate | The person that last updated the person object |
| Contact | Contact | The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. Use MDO List name "contact_new" to get list items. |
| Country | Country | The country this contact person is located in. Use MDO List name "country" to get list items. |
| Interests | array | The person's available and selected interests. Use MDO List name "persint" to get list items. |
| PersonNumber | string | Alphanumeric user field |
| FullName | string | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| NoMailing | bool | Spam filter. Indicates if this person should retrieve advertising. |
| UsePersonAddress | bool | True if the person's address should be used as mailing address, instead of the contact's address. |
| Retired | bool | True if the user is retired and should have no rights, not appear in lists, etc. |
| Urls | array | The urls related to this person. |
| FormalName | string | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| Address | Address | Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address. |
| Post3 | string | Postal address, used in Japanese versions only |
| Post2 | string | Postal address, used in Japanese versions only |
| Post1 | string | Postal address, used in Japanese versions only |
| Kanalname | string | Kana last name, used in Japanese versions only |
| Kanafname | string | Kana first name, used in Japanese versions only |
| CorrespondingAssociate | Associate | The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user). |
| Category | Category | Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "category" to get list items. |
| Business | Business | Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "business" to get list items. |
| Associate | Associate | The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) Use MDO List name "associate" to get list items. |
| Salutation | string | Academic title, populated from Salutation list but can be overwritten with anything at all Use MDO List name "salutation" to get list items. |
| ActiveInterests | int32 | The number of active interests. |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | Use MDO List name "customerlanguage" to get list items. |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| DbiLastSyncronized | date-time | Last external syncronization. |
| SentInfo | int32 | Has information on username/password been sent (ejournal) |
| ShowContactTickets | int32 | Should tickets related to the company be shown to this person |
| UserInfo | UserInfo | Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided. |
| ChatEmails | array | |
| InternetPhones | array | |
| Source | int32 | How did we get this person? For future integration needs |
| ActiveErpLinks | int32 | How many active ERP links are there for this person? |
| ShipmentTypes | array | The person's available and selected shipment types. |
| Consents | array | The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN' |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for person |
| CreatedByFormId | int32 | The form id of the form that created the person |
| UtmParameters | SavedUtmParameters | Utm parameters when creating this person, readonly fields |
| LeadstatusId | int32 | Refinement of categories of lead type. Empty if the category is not a lead type. |
| Leadstatus | string | Name of leadstatus |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Person/GetMyPerson
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"PersonId": 118,
"Firstname": "David",
"MiddleName": "James",
"Lastname": "Martinez",
"Mrmrs": "Mr.",
"Title": "Marketing Director",
"UpdatedDate": "2024-11-27T15:30:00+01:00",
"CreatedDate": "2022-03-15T09:00:00+01:00",
"BirthDate": "1982-07-22T00:00:00+01:00",
"CreatedBy": null,
"Emails": [
{
"Value": "fuga",
"StrippedValue": "recusandae",
"Description": "Re-contextualized grid-enabled success",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 376
}
}
},
{
"Value": "fuga",
"StrippedValue": "recusandae",
"Description": "Re-contextualized grid-enabled success",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 376
}
}
}
],
"Description": "Marketing Director with expertise in digital marketing and brand management",
"IsAssociate": false,
"PrivatePhones": [
{
"Value": "ut",
"StrippedValue": "est",
"Description": "Synergistic uniform toolset",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 112
}
}
},
{
"Value": "ut",
"StrippedValue": "est",
"Description": "Synergistic uniform toolset",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 112
}
}
}
],
"Faxes": [
{
"Value": "vitae",
"StrippedValue": "consectetur",
"Description": "Assimilated 3rd generation methodology",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 668
}
}
},
{
"Value": "vitae",
"StrippedValue": "consectetur",
"Description": "Assimilated 3rd generation methodology",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 668
}
}
}
],
"MobilePhones": [
{
"Value": "dolore",
"StrippedValue": "ut",
"Description": "Optional uniform productivity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 443
}
}
},
{
"Value": "dolore",
"StrippedValue": "ut",
"Description": "Optional uniform productivity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 443
}
}
}
],
"OfficePhones": [
{
"Value": "laudantium",
"StrippedValue": "a",
"Description": "Robust contextually-based superstructure",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 977
}
}
},
{
"Value": "laudantium",
"StrippedValue": "a",
"Description": "Robust contextually-based superstructure",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 977
}
}
}
],
"OtherPhones": [
{
"Value": "recusandae",
"StrippedValue": "dolorem",
"Description": "Right-sized bi-directional monitoring",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 958
}
}
},
{
"Value": "recusandae",
"StrippedValue": "dolorem",
"Description": "Right-sized bi-directional monitoring",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 958
}
}
}
],
"Position": null,
"UpdatedBy": null,
"Contact": null,
"Country": null,
"Interests": [
{
"Id": 893,
"Name": "Glover, Lang and Murazik",
"ToolTip": "Et exercitationem.",
"Deleted": true,
"Rank": 566,
"Type": "ipsum",
"ColorBlock": 672,
"IconHint": "consequatur",
"Selected": false,
"LastChanged": "2021-02-22T10:11:00.6091955+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "aliquid",
"StyleHint": "corrupti",
"Hidden": true,
"FullName": "Jovan Davis",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 453
}
}
}
],
"PersonNumber": "10002",
"FullName": "David James Martinez",
"NoMailing": false,
"UsePersonAddress": false,
"Retired": true,
"Urls": [
{
"Value": "voluptatem",
"StrippedValue": "beatae",
"Description": "Multi-lateral neutral structure",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 92
}
}
},
{
"Value": "voluptatem",
"StrippedValue": "beatae",
"Description": "Multi-lateral neutral structure",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 92
}
}
}
],
"FormalName": "Mr. David James Martinez",
"Address": null,
"Post3": "USA",
"Post2": "San Francisco, CA 94105",
"Post1": "456 Market Street",
"Kanalname": "magni",
"Kanafname": "sapiente",
"CorrespondingAssociate": null,
"Category": null,
"Business": null,
"Associate": null,
"Salutation": "Dear Mr. Martinez",
"ActiveInterests": 358,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"DbiAgentId": 376,
"DbiKey": "placeat",
"DbiLastModified": "2003-01-31T10:11:00.6121952+01:00",
"DbiLastSyncronized": "2016-09-09T10:11:00.6121952+02:00",
"SentInfo": 499,
"ShowContactTickets": 797,
"UserInfo": null,
"ChatEmails": [
{
"Value": "laudantium",
"StrippedValue": "quis",
"Description": "Upgradable well-modulated implementation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 285
}
}
},
{
"Value": "laudantium",
"StrippedValue": "quis",
"Description": "Upgradable well-modulated implementation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 285
}
}
}
],
"InternetPhones": [
{
"Value": "qui",
"StrippedValue": "dolores",
"Description": "Multi-lateral well-modulated benchmark",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 10
}
}
},
{
"Value": "qui",
"StrippedValue": "dolores",
"Description": "Multi-lateral well-modulated benchmark",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 10
}
}
}
],
"Source": 535,
"ActiveErpLinks": 848,
"ShipmentTypes": [
{
"Id": 475,
"Name": "Tremblay Inc and Sons",
"ToolTip": "Nemo repudiandae vel atque quis.",
"Deleted": false,
"Rank": 189,
"Type": "eveniet",
"ColorBlock": 179,
"IconHint": "molestiae",
"Selected": true,
"LastChanged": "2004-02-19T10:11:00.6121952+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "velit",
"StyleHint": "id",
"Hidden": false,
"FullName": "Brandy Fritsch",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 916
}
}
}
],
"Consents": [
{
"ConsentPersonId": 457,
"Comment": "Consent given for product updates and newsletters",
"Registered": "2024-03-15T10:00:00+01:00",
"RegisteredAssociateId": 604,
"Updated": "2024-11-27T11:15:00+01:00",
"UpdatedAssociateId": 928,
"LegalBaseId": 385,
"LegalBaseKey": "legitimate_interest",
"LegalBaseName": "Legitimate Interest",
"ConsentPurposeId": 259,
"ConsentPurposeKey": "newsletter",
"ConsentPurposeName": "Newsletter and Product Updates",
"ConsentSourceId": 705,
"ConsentSourceKey": "email_signup",
"ConsentSourceName": "Email Signup Form",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 923
}
}
}
],
"BounceEmails": [
"old.martinez@bounced.net"
],
"ActiveStatusMonitorId": 962,
"CreatedByFormId": 411,
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Ms. Anastacio Naomie Abshire",
"SuperOffice:2": "2000463043"
},
"ExtraFields": {
"ExtraFields1": "autem",
"ExtraFields2": "autem"
},
"CustomFields": {
"CustomFields1": "assumenda",
"CustomFields2": "atque"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 342
}
}
}